<?php namespace Channel\Lib;
use Dever;
use Manage\Lib\Auth;
class Manage extends Auth
{
    # 获取渠道列表
    public function getInfo()
    {
        return Dever::db('info', 'channel')->select(array('status' => 1));
    }

    # 上传卡密
    public function uploadCard($data)
    {
        if ($data['channel_id'] && $data['goods'] && $data['file']) {
            $goods = explode(',', $data['goods']);
            $file = Dever::load('view', 'upload')->local($data['file']);
            $excel = Dever::load('import', 'excel')->act($file);
            if ($excel) {
                foreach ($excel as $k => $v) {
                    if ($k > 1) {
                        $update = array();
                        $update['number'] = $v['A'];
                        $info = Dever::db('card', 'channel')->find($update);
                        if ($info) {
                            Dever::error('卡号：' . $update['number'] . '已存在');
                        }
                        $update['pwd'] = $v['B'];
                        $value = $v['C'];
                        $sku = Dever::db('info_sku', 'goods')->find(array('info_id' => $goods[1], 'value' => $value));
                        if (!$sku) {
                            continue;
                        }
                        $update['goods_id'] = $goods[1];
                        $update['sku_id'] = $sku['id'];
                        $update['channel_id'] = $data['channel_id'];
                        $update['goods'] = $data['goods'];
                        Dever::db('card', 'channel')->insert($update);
                    }
                }
            }
        } else {
            Dever::error('请上传文件或者选择商品');
        }
        return $data;
    }
}