<?php
$channel_id = Dever::input('set')['channel_id'] ?? 0;
return array
(
    'list' => array
    (
        'where' => array('channel_id' => $channel_id),
        'field'      => array
        (
            'id',
            'goods' => array
            (
                'name' => '商品',
                'show' => 'Dever::load("manage", "goods")->showGoodsInfo("{goods}", "{goods_id}", "{sku_id}")',
            ),
            'number',
            'use_status',
            'status' => array
            (
                'type' => 'switch',
                'show'  => '{status}',
                'active_value' => 1,
                'inactive_value' => 2,
            ),
        ),
        'data_button' => array
        (
            '编辑' => 'fastedit',
        ),
        'button' => array
        (
            '新增' => array('fastadd', array
            (
                'channel_id' => $channel_id,
            )),
            '上传卡密文件' => array('fastadd', array
            (
                'path' => 'supplier/card_upload',
                'param' => array
                (
                    'set' => array('channel_id' => $channel_id),
                ),
            ), 'ChatLineSquare'),
            '下载卡密模板' => array('link', Dever::host() . 'data/card.xlsx'),
        ),
        'search' => array
        (
            'channel_id' => 'hidden',
            'sku_id' => array
            (
                'name' => '商品',
                'placeholder' => '请选择商品',
                'type' => 'cascader',
                'option'    => 'Dever::load("goods/manage")->getGoodsSku("km")',
                'search' => function($key, $type, $value) {
                    $value = end($value);
                    return $value;
                }
            ),
            'number',
            'pwd',
            'use_status',
            'status',
        ),
    ),
    'update' => array
    (
        'check' => 'number',
        'field'    => array
        (
            'channel_id' => array
            (
                'type' => 'hidden',
            ),
            'goods' => array
            (
                # 数据来源
                'name' => '商品',
                'type' => 'cascader',
                'option'    => 'Dever::load("goods/manage")->getGoods("km")',
                'remote' => 'goods/manage.getSku',
                # 无需默认值
                //'remote_default' => false,
                'rules' => true,
            ),
            'goods_id' => array
            (
                'name' => '商品',
                'type' => 'hidden',
                'rules' => true,
            ),
            'sku_id' => array
            (
                'name' => '规格',
                'type' => 'select',
            ),
            'number',
            'pwd',
        ),
    ),
);