<?php namespace Seller\Api;
use Dever;
use Manage\Lib\Auth;
class Manage extends Auth
{
    public function showOrderExpand($value = false)
    {
        $data = Dever::db('order', 'seller')->find($value);
        return Dever::load('manage', 'seller')->showOrderExpand($data);
    }

    public function showOrderLogExpand($value = false)
    {
        $data = Dever::db('order_log', 'seller')->find($value);
        return Dever::load('manage', 'seller')->showOrderExpand($data);
    }

    # 补发回调
    public function sendCallBack()
    {
        $id = Dever::input('id');
        if ($id) {
            $where['id'] = array('in', $id);
            $order = Dever::db('order', 'seller')->load($where);
            foreach ($order as $k => $v) {
                $msg = '';
                if ($v['status'] == 10) {
                    $msg = 'ok';
                } elseif ($v['status'] == 11) {
                    $msg = 'error';
                }
                if ($msg) {
                    Dever::load('order', 'seller')->notify($v, $msg, array(), 1000);
                }
            }
        } else {
            Dever::error('请选择发回调的订单');
        }
        return '回调发送成功';
    }
}